Will My Android Device Work With Jamstik+?

 The jamstik+ is available on Android!

Our engineers have been hard at work making this possible, and we couldn't be more excited to let the world know that the jamstik+ is available for Android. As one of the first Bluetooth MIDI devices compatible with Android, this marks a huge milestone for our company and the platform. Thank you for your support and patience! 

Compatibility - Please Read

Because the integration is relatively new, we have chosen to launch only with select devices that guarantee a positive experience as verified by our team.

Device Format OS
nVIDIA Shield K1 Tablet 6.0.1+
nVIDIA Shield TV
TV 6.0+
HTC Nexus 9 Tablet 6.0.1+
Google Pixel C Tablet 6.0.1+
Google Pixel Phone Phone 6.0.1+
Motorola Nexus 6 Phone 6.0.1+
Huawei Nexus 6P Phone 6.0.1+
LG G4 Phone 6.0+
Samsung Galaxy S6 Edge Phone 6.0.1+
LG Nexus 5X Phone 6.0.1+
Sony Xperia 6 Phone 6.0.1+
LG V10 Phone 6.0+

General System Requirements: If your device is compliant with the following requirements, technically the jamstik+ should work with your device, however we would advise waiting for us to officially announce support.  Check to see when the Android Version 6.0.1 update is rolling out to your device!

  • Android Version 6.0.1 Marshmallow or higher
  • Bluetooth Low Energy 4.0 Spec

We will continue to update this list as more testing is done. If you would like to share your own results or let us know which device you want to use, please do so here: Jamstik+ Android Usage Survey.  

 

For support on how to get connected and use your jamstik+ with Android, visit the Android Support section of our help center.

Order Jamstik+

 

Powered by Zendesk